# choose one
%def_without vte
%def_with zvt

Name: gnome-terminal
Version: 2.2.1
Release: alt1

Summary: GNOME Terminal
License: GPL
Group: Terminals
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-32.png
Source2: %name-16.png

Patch: %name-2.2.0-rh-match-regex.patch
# get "same font as other applications" from the
# monospace_font GConf preference (Rawhide)
Patch1: %name-2.1.1-mdk-monospace.patch

%define GConf_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2
%define glib_ver 2.2.1
%define pango_ver 1.2.1
%define gtk_ver 2.2.1
%define libgnomeui_ver 2.2.0.1-alt2
%define libgnome_ver 2.2.0.1
%define libzvt_ver 2.0.1-alt4
%define vte_ver 0.10.17
%define bonobo_activation_ver 2.2.1
%define startup_notification_ver 0.5
%define glade_ver 2.0.1-alt2
%define rpm_ver 4.0.4-alt14

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

%if_with zvt
Requires: libzvt >= %libzvt_ver
%endif

%if_with vte
Requires: libvte >= %vte_ver
%endif

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: rpm >= %rpm_ver

%if_with vte
BuildPreReq: libvte-devel >= %vte_ver
%endif

%if_with zvt
BuildPreReq: libzvt-devel >= %libzvt_ver
%endif

# Automatically added by buildreq on Sun Feb 09 2003
#BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libXft-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libstartup-notification-devel libxml2-devel libxslt libzvt-devel pkgconfig scrollkeeper zlib-devel
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel
BuildRequires: fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel
BuildRequires: libGConf2-devel libORBit2 libXft-devel libart_lgpl-devel libatk-devel libaudiofile-devel
BuildRequires: libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel
BuildRequires: libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel
BuildRequires: libssl-devel libstartup-notification-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
GNOME terminal emulator application.

%prep
%setup -q
%patch -p0 -b .match-regex
%patch1 -p1 -b .monospace

%build
%configure \
%if_with vte
	--with-widget=vte
%else
	--with-widget=zvt
%endif

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="%group" title="GNOME Terminal" \
longtitle="Terminal Emulator for the GNOME 2 desktop" command="%_bindir/%name" \
icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# icons
%__mkdir_p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
%__cp -f %SOURCE1 %buildroot%_iconsdir/%name.png
%__cp -f %SOURCE2 %buildroot%_miconsdir/%name.png
%__cp -f %buildroot/%_datadir/pixmaps/%name.png %buildroot%_liconsdir/%name.png

%find_lang --with-gnome %name

%post
%gconf2_install %name
%gconf2_set string /apps/gnome-terminal/profiles/Default/foreground_color \#D6D5D2
%gconf2_set string /apps/gnome-terminal/profiles/Default/background_color \#000000
%gconf2_set string /apps/gnome-terminal/profiles/Default/font Monospace Bold 16
%gconf2_set bool /apps/gnome-terminal/profiles/Default/use_theme_colors false
%gconf2_set bool /apps/gnome-terminal/profiles/Default/use_system_font false

# keybindings
%gconf2_set string /apps/gnome-terminal/keybindings/prev_tab \<Shift\>Left
%gconf2_set string /apps/gnome-terminal/keybindings/next_tab \<Shift\>Right

%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/*/*
%_datadir/applications/*
%_datadir/%name
#%_datadir/omf/*
%_datadir/pixmaps/*
%_iconsdir/*.png
%_iconsdir/*/*.png
%_menudir/*
%config %_sysconfdir/gconf/*/*
#%doc %_datadir/gnome/help/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sun Feb 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1 

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- Build with libzvt again.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- Test build with vte 0.10.7 (:-//)

* Wed Nov 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2
  (mhz) - Mandrake: remove patches 1 (no longer needed), 3 (merged upstream)
	- Added icons (thanks Mandrake)
- Some default keybindings.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt2
- fix default settings using %%gconf_add macro

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0
- patch3 in mainstream now.

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- Applied mdk patches.
- Requires newest libzvt-2.0.1-alt2
- Buildreqs updated.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.
